Package org.apache.sling.event.impl.support

# Interface TopicMatcher

All Known Implementing Classes:
  `ExactTopicMatcher`, `PackageTopicMatcher`, `SubPackagesTopicMatcher`

public interface TopicMatcher
Interface for topic matchers

## Method Summary

Modifier and Type
Method
Description
`String`
`match(String topic)`
Check if the topic matches and return the variable part - null if not matching.

## Method Details

### match

String match(String topic)
Check if the topic matches and return the variable part - null if not matching.